import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
const corsOptions = {
  origin: 'https://blog.anatid.net',
  methods: 'GET,POST,PATCH,DELETE,OPTIONS',
  optionsSuccessStatus: 200
};

async function bootstrap() {
  const app = await NestFactory.create(AppModule);
  app.enableCors({
            origin: ['https://blog.anatid.net'], // Allowed origins
                    methods: 'GET,HEAD,PUT,PATCH,POST,DELETE', // Allowed methods
                            credentials: true, // Allow credentials (e.g., cookies)
                                    allowedHeaders: 'Content-Type, Accept', // Allowed headers
                                        });
  
  await app.listen(process.env.PORT ?? 3000);
}

bootstrap();
